/// <reference types="node" />
import { ChildProcessWithoutNullStreams } from "child_process";
export declare class Container {
    callbacks: Array<() => void>;
    ready: boolean;
    id: string;
    output: "";
    bg_process: ChildProcessWithoutNullStreams;
    constructor();
    signalReady(): void;
    onReady(callback: () => void): void;
    waitReady(): Promise<void>;
    close(): void;
    closeSync(): void;
}
declare const _default: {
    pool: Container[];
    concurrency: number;
    generateContainer(): void;
    getContainer(): Container;
    clear(): void;
};
export default _default;
